Bug 163198 - Pup allowed programs to be installed w/o deps satisfied
Pup allowed programs to be installed w/o deps satisfied
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2005-07-13 18:27 EDT by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-04 20:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pup now recognizes errors and does not update (73.95 KB, image/jpeg)
2005-07-16 22:37 EDT, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2005-07-13 18:27:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
When upgrading programs in development, deps were not satisfied for gedit, bug-buddy and a library. Yum and up2date both stopped because deps were not resolved. After running pup, packages were installed:

gnome-panel-devel.i386 0:2.11.4-1
gnome-panel.i386 0:2.11.4-1
gnome-menus.i386 0:
control-center.i386 1:2.11.5-1

This broke gedit and bug-buddy. Downgrading packages to FC4 versions repaired gedit functionality. The next date, updates satisfied deps and yum upgraded packages and programs still worked. control-center was not upgraded on the upswing.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.try yum - deps stop upgrade
2. try up2date - deps stop upgrade
3. try pup - packages upgraded

Actual Results:  gedit and bug-buddy did not function

Expected Results:  either deps resolved or failure with reason upgrade was halted should be displayed.

Additional info:

This happened once, I did not try to reproduce the failure.
Comment 1 Paul Nasrat 2005-07-15 11:54:51 EDT
Thanks for the report - we now check the transaction. Please test pup 0.0.2-1
which should hit rawhide shortly.
Comment 2 Jim Cornette 2005-07-16 22:37:39 EDT
Created attachment 116845 [details]
pup now recognizes errors and does not update

Flipping the switch back to development, downloading pup via yum, then running
pup halted package installation due to unmet deps. It looked like pup was going
to install the 300+ packages initially. The routine to install proceeded to
download 300+ packages, pup displayed a screen without details for awhile, then
shoed the "an error occured" screen which is attached. It would be nice to be
able to save the error to text. I took a screenshot since I do not know where
pup logs to.
Comment 3 Paul Nasrat 2005-07-19 14:47:46 EDT
Jim could you rfe the logging/save log as a seperate bug please.
Comment 4 Jim Cornette 2005-07-20 22:00:58 EDT
An RFE was filed. Bug 163692 

Sorry for the additional comments regarding package download before dep
resolutions completed.
Comment 5 David Lawrence 2006-06-27 21:48:20 EDT
Moving component to pirut. Sorry for the spam.

Note You need to log in before you can comment on or make changes to this bug.